###################################################
### chunk number 1: preliminaries
###################################################
#line 91 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
library("ToxLim")
options(prompt = "> ")
options(width=75)


###################################################
### chunk number 2: Barents
###################################################
#line 136 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
plotweb(Flowmatrix(LIMbarents),main="Barents Sea Food Web",
  sub="gC/m2/day")


###################################################
### chunk number 3: Barents
###################################################
#line 144 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
#line 136 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw#from line#144#"
plotweb(Flowmatrix(LIMbarents),main="Barents Sea Food Web",
  sub="gC/m2/day")
#line 145 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"


###################################################
### chunk number 4: Barents2
###################################################
#line 154 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
pm <- par(mfrow=c(1,2))
Plotranges(LIMbarents,lab.cex=0.7,xlab="gC/m2/d",
   main="Flows")
# 
Plotranges(LIMbarents,type="V",lab.cex=0.7,xlab="gC/m2/d",
   main="variables")
mtext(outer=TRUE,"Southern Barents Sea food web",side=3,line=-1,cex=1.5)
par(mfrow=pm)


###################################################
### chunk number 5: Barents2
###################################################
#line 168 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
#line 154 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw#from line#168#"
pm <- par(mfrow=c(1,2))
Plotranges(LIMbarents,lab.cex=0.7,xlab="gC/m2/d",
   main="Flows")
# 
Plotranges(LIMbarents,type="V",lab.cex=0.7,xlab="gC/m2/d",
   main="variables")
mtext(outer=TRUE,"Southern Barents Sea food web",side=3,line=-1,cex=1.5)
par(mfrow=pm)
#line 169 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"


###################################################
### chunk number 6: Limlake
###################################################
#line 192 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
pm <- par(mfrow=c(1,2))
lake <- Flowmatrix(LIMlake)
plotweb(lake,main="Lake enclosure food web",sub="gC/m2/day")

plotweb(Flowmatrix(LIMlakeFish),main="Lake enclosure food web + FISH",
  sub="gC/m2/day")


###################################################
### chunk number 7: Limlake
###################################################
#line 204 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
#line 192 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw#from line#204#"
pm <- par(mfrow=c(1,2))
lake <- Flowmatrix(LIMlake)
plotweb(lake,main="Lake enclosure food web",sub="gC/m2/day")

plotweb(Flowmatrix(LIMlakeFish),main="Lake enclosure food web + FISH",
  sub="gC/m2/day")
#line 205 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"


###################################################
### chunk number 8: Limlake2
###################################################
#line 214 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
# ranges of flows
Plotranges(LIMlake,lab.cex=0.7,xlab="gC/m2/d",
   main="Flows")
# ranges of variables
Plotranges(LIMlake,type="V",lab.cex=0.7,xlab="gC/m2/d",
   main="variables")
mtext(outer=TRUE,"Lake enclosure food web",side=3,line=-1,cex=1.5)
par(mfrow=pm)


###################################################
### chunk number 9: Limlake2
###################################################
#line 228 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
#line 214 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw#from line#228#"
# ranges of flows
Plotranges(LIMlake,lab.cex=0.7,xlab="gC/m2/d",
   main="Flows")
# ranges of variables
Plotranges(LIMlake,type="V",lab.cex=0.7,xlab="gC/m2/d",
   main="variables")
mtext(outer=TRUE,"Lake enclosure food web",side=3,line=-1,cex=1.5)
par(mfrow=pm)
#line 229 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"


###################################################
### chunk number 10: 
###################################################
#line 293 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
LimOmega (lim = LIMlake,
          INST=c("DET","DOC","BAC","PHY","NAN","CIL","MIZ"),
          KINE= "MEZ", EXPO=c("sed","gr"),
          DOC="DOC", DET="DET", DIC="dic",
          WW_KINE=7.596535e-08, SS_KINE=0.079508)


###################################################
### chunk number 11: 
###################################################
#line 301 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
LimOmega (lim = LIMlakeFish,
          INST=c("DET","DOC","BAC","PHY","NAN","CIL","MIZ"),
          KINE=c("MEZ","FIS"), EXPO=c("sed","gr"),
          DOC="DOC", DET="DET", DIC="dic",
          WW_KINE=c(1.85e-08,1.7e-3),
          SS_KINE=c(0.00514800,0.26))


###################################################
### chunk number 12: 
###################################################
#line 310 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
LimOmega (lim = LIMbarents,
          INST=c("DIA","PHA","AUT","CIL","HNA","DET","BAC"),
          KINE=c("COP","CHA","KRI","CAP","COD","YCO","HER"),
          EXPO=c("SED","GRA","GRO"),
          DOC="DOC", DET="DET", DIC="DIC",
          WW_KINE=c(0.000001,8e-05,0.00006,10e-3,3,1,20e-3),
          LIPID_KINE=c(0.01,0.01,0.01,0.03,0.03,0.03,0.03),
          LIPID_INST=0.04,
          SS_KINE=c(1.79,0.6965,0.003,0.38,0.053,0.006,0.055))


###################################################
### chunk number 13: 
###################################################
#line 325 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
  X0       <- Lsei(LIMlake)$X
  niter <- 50
  SolXS    <- Xsample(LIMlake, iter=niter, type = "mirror",
                      jmp=NULL, x0=X0, fulloutput = FALSE)

  BAFlc_all  <- NULL


###################################################
### chunk number 14: 
###################################################
#line 334 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
  for (i in 1:niter) {
   flowmat <- Flowmatrix(LIMlake, SolXS[i,])
   LO<- LimOmega (flowmatrix=flowmat,
          INST=c("DET","DOC","BAC","PHY","NAN","CIL","MIZ"),
          KINE=c("MEZ"), EXPO=c("sed","gr"),
          DOC="DOC", DET="DET", DIC="dic",
          WW_KINE=7.596535e-08, SS_KINE=0.079508,
          Growth=0, k=0.25, Q=1)

   BAFlc_all <- c(BAFlc_all,LO$BAF_LC)
  }


###################################################
### chunk number 15: BAFlc_all
###################################################
#line 348 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
hist(BAFlc_all)


###################################################
### chunk number 16: BAFlc_all
###################################################
#line 355 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
#line 348 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw#from line#355#"
hist(BAFlc_all)
#line 356 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"


###################################################
### chunk number 17: 
###################################################
#line 364 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
  niter <- 100


###################################################
### chunk number 18: 
###################################################
#line 368 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
  lkw <- rnorm(niter,mean=6,sd=0.4)

  BAFlc_all  <- NULL
  BCFoc_all  <- NULL


###################################################
### chunk number 19: 
###################################################
#line 375 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
  flowmat <- Flowmatrix(LIMlake)


###################################################
### chunk number 20: 
###################################################
#line 379 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
  for (i in 1:niter) {
   LO<- LimOmega (flowmatrix=flowmat,
          INST=c("DET","DOC","BAC","PHY","NAN","CIL","MIZ"),
          KINE=c("MEZ"), EXPO=c("sed","gr"),
          DOC="DOC", DET="DET", DIC="dic",
          WW_KINE=7.596535e-08, SS_KINE=0.079508,
          Growth=0, k=0.25, Q=1, logKow = lkw[i])

   BAFlc_all <- c(BAFlc_all,LO$BAF_LC)
   BCFoc_all <- c(BCFoc_all,LO$BCF_OC[1])
  }


###################################################
### chunk number 21: BAFlc_2
###################################################
#line 393 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
pm <- par(mfrow=c(2,2))
hist(BAFlc_all,main="BAF_LC")
plot(lkw,BAFlc_all,xlab="log Kow",ylab="BAF_LC")
hist(BCFoc_all,main="BCF_OC")
plot(lkw,BCFoc_all,xlab="log Kow",ylab="BCF_OC")
par(mfrow=pm)


###################################################
### chunk number 22: BAFlc_2
###################################################
#line 405 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"
#line 393 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw#from line#405#"
pm <- par(mfrow=c(2,2))
hist(BAFlc_all,main="BAF_LC")
plot(lkw,BAFlc_all,xlab="log Kow",ylab="BAF_LC")
hist(BCFoc_all,main="BCF_OC")
plot(lkw,BCFoc_all,xlab="log Kow",ylab="BCF_OC")
par(mfrow=pm)
#line 406 "d:/Rcompile/CRANpkg/local/2.12/ToxLim/inst/doc/ToxLim.Rnw"


